Bug 7559 - (int-126546) Old image displayed as a new one when swiping
(int-126546)
: Old image displayed as a new one when swiping
Status: REOPENED
Product: Images and Camera
Image viewer
: 5.0:(10.2010.19-1)
: N900 Maemo
: Low normal with 2 votes (vote)
: ---
Assigned To: unassigned
: image-viewer-bugs
:
:
:
:
  Show dependency tree
 
Reported: 2010-01-01 21:16 UTC by Bartosz Taudul
Modified: 2010-08-30 19:43 UTC (History)
3 users (show)

See Also:


Attachments
Before swiping (124.51 KB, image/png)
2010-01-01 21:18 UTC, Bartosz Taudul
Details
After swiping (124.64 KB, image/png)
2010-01-01 21:21 UTC, Bartosz Taudul
Details
After the new image finished loading (228.62 KB, image/png)
2010-01-01 21:23 UTC, Bartosz Taudul
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Bartosz Taudul (reporter) 2010-01-01 21:16:47 UTC
SOFTWARE VERSION:
1.2009.42-11

EXACT STEPS LEADING TO PROBLEM: 
1. Make some photos.
2. Go to image viewer.
3. Select a random image.
4. Using swipe left and swipe right gestures switch between photos.

EXPECTED OUTCOME:
New image is displayed after swiping.

ACTUAL OUTCOME:
Old image is displayed after swiping. After the new image is loaded, it
replaces the old image (without any visual effect). Very rarely old image stays
displayed, even when the new image had loaded.

REPRODUCIBILITY:
~30%
Comment 1 Bartosz Taudul (reporter) 2010-01-01 21:18:23 UTC
Created an attachment (id=1892) [details]
Before swiping

Notice the image number: 155/188.
Comment 2 Bartosz Taudul (reporter) 2010-01-01 21:21:22 UTC
Created an attachment (id=1893) [details]
After swiping

Notice the image number: 154/188.
Notice that the new image is loading (busy animation).
Notice that the image is the same as the previous one (155/188).

After the swiping there was a visual effect of previous image going off-screen.
This screenshot has been captured after that effect.
Comment 3 Bartosz Taudul (reporter) 2010-01-01 21:23:15 UTC
Created an attachment (id=1894) [details]
After the new image finished loading

Notice that the image number is the same as on previous screenshot: 154/188.
There is no "busy" animation.
Displayed image is completly different than that on previous screenshot.
Comment 4 Bartosz Taudul (reporter) 2010-01-14 19:59:29 UTC
Not fixed in 2.2009.51-1.
Comment 5 Andre Klapper maemo.org 2010-01-18 16:58:05 UTC
Confirming.
Comment 6 Alberto Garcia Gonzalez 2010-02-08 17:21:44 UTC
I confirm this bug.

What is more, sometimes when you swipe back to the previous image you
see the one before that.

E.g, you are in image 145, you swipe right, now you are in 146, now
you swipe left and you end up in 144, not back in 145 as expected.

More precisely: the window title and the details dialog say that
you're watching image 145, but the one that you actually see is 144.

I can reproduce this problem too easily. Just swipe back and forth
once and again and it'll happen.
Comment 7 Andre Klapper maemo.org 2010-03-09 22:45:37 UTC
*** Bug 9429 has been marked as a duplicate of this bug. ***
Comment 8 Andre Klapper maemo.org 2010-03-26 14:30:52 UTC
This has been fixed in package
imageviewer-ui 3.4.10.1+0m5
which is part of the internal build version
10.2010.10-9
(Note: 2009/2010 is the year, and the number after is the week.)

A future public update released with the year/week later than this internal
build version will include the fix. (This is not always already the next public
update.)
Please verify that this new version fixes the bug by marking this bug report as
VERIFIED after the public update has been released and if you have some time.


To answer popular followup questions:
 * Nokia does not announce release dates of public updates in advance.
 * There is currently no access to these internal, non-public build versions.
   A Brainstorm proposal to change this exists at
http://maemo.org/community/brainstorm/view/undelayed_bugfix_releases_for_nokia_open_source_packages-002/
Comment 9 Bartosz Taudul (reporter) 2010-05-26 04:59:39 UTC
Not fixed in PR1.2. Just harder to reproduce now (old image still can appear
for a very brief moment).